Agent BrainsAgent Brains
APIWebhooks

Get webhook subscription

Get one workspace subscription without its signing secret. Required scope: `webhooks:manage`.

GET
/webhooks/{id}
x-api-key<token>

Preferred authentication header.

In: header

Path Parameters

id*string

Subscription ID returned when creating or listing webhooks.

Match^[a-fA-F0-9]{24}$
Length24 <= length <= 24

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.agent-brains.com/webhooks/stringstringstringstring"
{
  "id": "string",
  "url": "http://example.com",
  "events": [
    "message.created"
  ],
  "employee_ids": [
    "string"
  ],
  "enabled": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}